Skip to content
Java 8 workshop
Branch: master
Clone or download
Latest commit 6e52e76 Apr 10, 2016
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
src Wrong package Apr 9, 2016
.gitignore Initial lessons Oct 2, 2013
README.md Typo Dec 17, 2014
license.txt Apache License 2.0 May 12, 2014
pom.xml Replace JUnit's @Parametrized with JUnitParams Jan 15, 2015

README.md

Java 8 and RxJava workshop driven by tests

Smoke testing

Maven

Run mvn clean test to make sure you have JDK 8 and all dependencies in place.

IDE

Run J01_HelloWorldTest.java from your favourite IDE and make sure it compiles and passes.

Troubleshooting

Error invalid target release: 1.8 during maven build

If you see this error message during maven build:

[INFO] BUILD FAILURE
...
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project java8:
Fatal error compiling: invalid target release: 1.8 -> [Help 1]

it means you are not compiling using Java 8. Download JDK 8 and let maven use it:

$ export JAVA_HOME=/path/to/jdk8

License

This project is released under version 2.0 of the Apache License.

You can’t perform that action at this time.